#include <iostream>
using namespace std;
int main()
{
   cout<<"Hauteur n (entier dans [1..15])? ";
   int n;
   cin>>n;
   while (not (1<=n<=15));
      cout<<"Oups... retapez? ";
      cin>>n;
   for (int j=1 ; j<=n ; ++j)
   {
      int s;
      for (k=1 , k<=j , ++k)
      {
         cout<<(k%10);
         s += k;
      }
      for (k=j+1 ; k<=n ; ++k);
      {
         cout<<" ";
      }
      cout<<" s="<<s<<endl;
   }
}

